# Uses of Class
java.io.InputStream

Packages that use InputStream
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.
java.applet
Provides the classes necessary to create an applet and the classes an applet uses to communicate with its applet context.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.color
Provides classes for color spaces.
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.
java.beans.beancontext
Provides classes and interfaces relating to bean context.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.
java.net
Provides the classes for implementing networking applications.
java.net.http
HTTP Client and WebSocket APIs
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.
java.util.prefs
This package allows applications to store and retrieve user and system preference and configuration data.
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.crypto
Provides the classes and interfaces for cryptographic operations.
javax.imageio
The main package of the Java Image I/O API.
javax.imageio.stream
A package of the Java Image I/O API dealing with low-level I/O from files and streams.
javax.net.ssl
Provides classes for the secure socket package.
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.security.auth.x500
This package contains the classes that should be used to store X500 Principal and X500 Private Credentials in a Subject.
javax.security.cert
Provides classes for public key certificates.
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.
javax.sound.midi.spi
Supplies interfaces for service providers to implement when offering new MIDI devices, MIDI file readers and writers, or sound bank readers.
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.
javax.sound.sampled.spi
Supplies abstract classes for service providers to subclass when offering new audio devices, sound file readers and writers, or audio format converters.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.rtf
Provides a class (`RTFEditorKit`) for creating Rich-Text-Format text editors.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.transform.stream
Provides stream and URI specific transformation classes.
jdk.jfr
This package provides classes to create events and control Flight Recorder.
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.
jdk.jshell.execution
Provides implementation support for building JShell execution engines.
jdk.jshell.spi
Defines the Service Provider Interface for pluggable JShell execution engines.
jdk.jshell.tool
Provides a mechanism to launch an instance of a Java shell tool.
org.ietf.jgss
This package presents a framework that allows application developers to make use of security services like authentication, data integrity and data confidentiality from a variety of underlying security mechanisms like Kerberos, using a unified API.
org.w3c.dom.ls
Provides interfaces for DOM Level 3 Load and Save.
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).

## Uses of InputStream in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return InputStream
Modifier and Type
Method
Description
`abstract InputStream`
HttpExchange.`getRequestBody()`
Returns a stream from which the request body can be read.
Methods in com.sun.net.httpserver with parameters of type InputStream
Modifier and Type
Method
Description
`abstract void`
HttpExchange.`setStreams(InputStream i, OutputStream o)`
Used by Filters to wrap either (or both) of this exchange's `InputStream` and `OutputStream`, with the given filtered streams so that subsequent calls to `HttpExchange.getRequestBody()` will return the given `InputStream`, and calls to `HttpExchange.getResponseBody()` will return the given `OutputStream`.

## Uses of InputStream in java.applet

Methods in java.applet that return InputStream
Modifier and Type
Method
Description
`InputStream`
AppletContext.`getStream(String key)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the stream to which specified key is associated within this applet context.
Methods in java.applet with parameters of type InputStream
Modifier and Type
Method
Description
`void`
AppletContext.`setStream(String key, InputStream stream)`
Deprecated, for removal: This API element is subject to removal in a future version.
Associates the specified stream with the specified key in this applet context.

## Uses of InputStream in java.awt

Methods in java.awt with parameters of type InputStream
Modifier and Type
Method
Description
`static Font`
Font.`createFont(int fontFormat, InputStream fontStream)`
Returns a new `Font` using the specified font type and input data.
`static Font[]`
Font.`createFonts(InputStream fontStream)`
Returns a new array of `Font` decoded from the specified stream.

## Uses of InputStream in java.awt.color

Methods in java.awt.color with parameters of type InputStream
Modifier and Type
Method
Description
`static ICC_Profile`
ICC_Profile.`getInstance(InputStream s)`
Constructs an `ICC_Profile` corresponding to the data in an `InputStream`.

## Uses of InputStream in java.beans

Constructors in java.beans with parameters of type InputStream
Modifier
Constructor
Description
``
`XMLDecoder(InputStream in)`
Creates a new input stream for reading archives created by the `XMLEncoder` class.
``
`XMLDecoder(InputStream in, Object owner)`
Creates a new input stream for reading archives created by the `XMLEncoder` class.
``
`XMLDecoder(InputStream in, Object owner, ExceptionListener exceptionListener)`
Creates a new input stream for reading archives created by the `XMLEncoder` class.
``
`XMLDecoder(InputStream in, Object owner, ExceptionListener exceptionListener, ClassLoader cl)`
Creates a new input stream for reading archives created by the `XMLEncoder` class.

## Uses of InputStream in java.beans.beancontext

Methods in java.beans.beancontext that return InputStream
Modifier and Type
Method
Description
`InputStream`
BeanContext.`getResourceAsStream(String name, BeanContextChild bcc)`
Deprecated, for removal: This API element is subject to removal in a future version.
Analogous to `java.lang.ClassLoader.getResourceAsStream()`, this method allows a `BeanContext` implementation to interpose behavior between the child `Component` and underlying `ClassLoader`.
`InputStream`
BeanContextSupport.`getResourceAsStream(String name, BeanContextChild bcc)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of InputStream in java.io

Subclasses of InputStream in java.io
Modifier and Type
Class
Description
`class`
`BufferedInputStream`
A `BufferedInputStream` adds functionality to another input stream-namely, the ability to buffer the input and to support the `mark` and `reset` methods.
`class`
`ByteArrayInputStream`
A `ByteArrayInputStream` contains an internal buffer that contains bytes that may be read from the stream.
`class`
`DataInputStream`
A data input stream lets an application read primitive Java data types from an underlying input stream in a machine-independent way.
`class`
`FileInputStream`
A `FileInputStream` obtains input bytes from a file in a file system.
`class`
`FilterInputStream`
A `FilterInputStream` wraps some other input stream, which it uses as its basic source of data, possibly transforming the data along the way or providing additional functionality.
`class`
`LineNumberInputStream`
Deprecated.
This class incorrectly assumes that bytes adequately represent characters.
`class`
`ObjectInputStream`
An ObjectInputStream deserializes primitive data and objects previously written using an ObjectOutputStream.
`class`
`PipedInputStream`
A piped input stream should be connected to a piped output stream; the piped input stream then provides whatever data bytes are written to the piped output stream.
`class`
`PushbackInputStream`
A `PushbackInputStream` adds functionality to another input stream, namely the ability to "push back" or "unread" bytes, by storing pushed-back bytes in an internal buffer.
`class`
`SequenceInputStream`
A `SequenceInputStream` represents the logical concatenation of other input streams.
`class`
`StringBufferInputStream`
Deprecated.
This class does not properly convert characters into bytes.
Fields in java.io declared as InputStream
Modifier and Type
Field
Description
`protected InputStream`
FilterInputStream.`in`
The input stream to be filtered.
Methods in java.io that return InputStream
Modifier and Type
Method
Description
`static InputStream`
InputStream.`nullInputStream()`
Returns a new `InputStream` that reads no bytes.
Constructors in java.io with parameters of type InputStream
Modifier
Constructor
Description
``
`BufferedInputStream(InputStream in)`
Creates a `BufferedInputStream` and saves its argument, the input stream `in`, for later use.
``
`BufferedInputStream(InputStream in, int size)`
Creates a `BufferedInputStream` with the specified buffer size, and saves its argument, the input stream `in`, for later use.
``
`DataInputStream(InputStream in)`
Creates a DataInputStream that uses the specified underlying InputStream.
`protected`
`FilterInputStream(InputStream in)`
Creates a `FilterInputStream` by assigning the argument `in` to the field `this.in` so as to remember it for later use.
``
`InputStreamReader(InputStream in)`
Creates an InputStreamReader that uses the `default charset`.
``
`InputStreamReader(InputStream in, String charsetName)`
Creates an InputStreamReader that uses the named charset.
``
`InputStreamReader(InputStream in, Charset cs)`
Creates an InputStreamReader that uses the given charset.
``
`InputStreamReader(InputStream in, CharsetDecoder dec)`
Creates an InputStreamReader that uses the given charset decoder.
``
`LineNumberInputStream(InputStream in)`
Deprecated.
Constructs a newline number input stream that reads its input from the specified input stream.
``
`ObjectInputStream(InputStream in)`
Creates an ObjectInputStream that reads from the specified InputStream.
``
`PushbackInputStream(InputStream in)`
Creates a `PushbackInputStream` with a 1-byte pushback buffer, and saves its argument, the input stream `in`, for later use.
``
`PushbackInputStream(InputStream in, int size)`
Creates a `PushbackInputStream` with a pushback buffer of the specified `size`, and saves its argument, the input stream `in`, for later use.
``
`SequenceInputStream(InputStream s1, InputStream s2)`
Initializes a newly created `SequenceInputStream` by remembering the two arguments, which will be read in order, first `s1` and then `s2`, to provide the bytes to be read from this `SequenceInputStream`.
``
`StreamTokenizer(InputStream is)`
Deprecated.
As of JDK version 1.1, the preferred way to tokenize an input stream is to convert it into a character stream, for example:

        Reader r = new BufferedReader(new InputStreamReader(is));
        StreamTokenizer st = new StreamTokenizer(r);

Constructor parameters in java.io with type arguments of type InputStream
Modifier
Constructor
Description
``
`SequenceInputStream(Enumeration<? extends InputStream> e)`
Initializes a newly created `SequenceInputStream` by remembering the argument, which must be an `Enumeration` that produces objects whose run-time type is `InputStream`.

## Uses of InputStream in java.lang

Fields in java.lang declared as InputStream
Modifier and Type
Field
Description
`static final InputStream`
System.`in`
The "standard" input stream.
Methods in java.lang that return InputStream
Modifier and Type
Method
Description
`abstract InputStream`
Process.`getErrorStream()`
Returns the input stream connected to the error output of the process.
`abstract InputStream`
Process.`getInputStream()`
Returns the input stream connected to the normal output of the process.
`InputStream`
Class.`getResourceAsStream(String name)`
Finds a resource with a given name.
`InputStream`
ClassLoader.`getResourceAsStream(String name)`
Returns an input stream for reading the specified resource.
`InputStream`
Module.`getResourceAsStream(String name)`
Returns an input stream for reading a resource in this module.
`static InputStream`
ClassLoader.`getSystemResourceAsStream(String name)`
Open for reading, a resource of the specified name from the search path used to load classes.
Methods in java.lang with parameters of type InputStream
Modifier and Type
Method
Description
`static void`
System.`setIn(InputStream in)`
Reassigns the "standard" input stream.

## Uses of InputStream in java.lang.classfile

Method parameters in java.lang.classfile with type arguments of type InputStream
Modifier and Type
Method
Description
`static ClassHierarchyResolver`
ClassHierarchyResolver.`ofResourceParsing(Function<ClassDesc, InputStream> classStreamResolver)`
Returns a `ClassHierarchyResolver` that extracts class hierarchy information from `class` files returned by a mapping function.

## Uses of InputStream in java.lang.module

Methods in java.lang.module that return types with arguments of type InputStream
Modifier and Type
Method
Description
`default Optional<InputStream>`
ModuleReader.`open(String name)`
Opens a resource, returning an input stream to read the resource in the module.
Methods in java.lang.module with parameters of type InputStream
Modifier and Type
Method
Description
`static ModuleDescriptor`
ModuleDescriptor.`read(InputStream in)`
Reads the binary form of a module declaration from an input stream as a module descriptor.
`static ModuleDescriptor`
ModuleDescriptor.`read(InputStream in, Supplier<Set<String>> packageFinder)`
Reads the binary form of a module declaration from an input stream as a module descriptor.

## Uses of InputStream in java.net

Methods in java.net that return InputStream
Modifier and Type
Method
Description
`abstract InputStream`
CacheResponse.`getBody()`
Returns the response body as an InputStream.
`InputStream`
HttpURLConnection.`getErrorStream()`
Returns the error stream if the connection failed but the server sent useful data nonetheless.
`InputStream`
Socket.`getInputStream()`
Returns an input stream for this socket.
`protected abstract InputStream`
SocketImpl.`getInputStream()`
Returns an input stream for this socket.
`InputStream`
URLConnection.`getInputStream()`
Returns an input stream that reads from this open connection.
`InputStream`
URLClassLoader.`getResourceAsStream(String name)`
Returns an input stream for reading the specified resource.
`final InputStream`
URL.`openStream()`
Opens a connection to this `URL` and returns an `InputStream` for reading from that connection.
Methods in java.net with parameters of type InputStream
Modifier and Type
Method
Description
`static String`
URLConnection.`guessContentTypeFromStream(InputStream is)`
Tries to determine the type of an input stream based on the characters at the beginning of the input stream.

## Uses of InputStream in java.net.http

Methods in java.net.http that return types with arguments of type InputStream
Modifier and Type
Method
Description
`static HttpResponse.BodyHandler<InputStream>`
HttpResponse.BodyHandlers.`ofInputStream()`
Returns a `BodyHandler<InputStream>` that returns a `BodySubscriber``<InputStream>` obtained from `BodySubscribers.ofInputStream`.
`static HttpResponse.BodySubscriber<InputStream>`
HttpResponse.BodySubscribers.`ofInputStream()`
Returns a `BodySubscriber` which streams the response body as an `InputStream`.
Method parameters in java.net.http with type arguments of type InputStream
Modifier and Type
Method
Description
`static HttpRequest.BodyPublisher`
HttpRequest.BodyPublishers.`ofInputStream(Supplier<? extends InputStream> streamSupplier)`
A request body publisher that reads its data from an `InputStream`.

## Uses of InputStream in java.nio.channels

Methods in java.nio.channels that return InputStream
Modifier and Type
Method
Description
`static InputStream`
Channels.`newInputStream(AsynchronousByteChannel ch)`
Constructs a stream that reads bytes from the given channel.
`static InputStream`
Channels.`newInputStream(ReadableByteChannel ch)`
Constructs a stream that reads bytes from the given channel.
Methods in java.nio.channels with parameters of type InputStream
Modifier and Type
Method
Description
`static ReadableByteChannel`
Channels.`newChannel(InputStream in)`
Constructs a channel that reads bytes from the given stream.

## Uses of InputStream in java.nio.file

Methods in java.nio.file that return InputStream
Modifier and Type
Method
Description
`static InputStream`
Files.`newInputStream(Path path, OpenOption... options)`
Opens a file, returning an input stream to read from the file.
Methods in java.nio.file with parameters of type InputStream
Modifier and Type
Method
Description
`static long`
Files.`copy(InputStream in, Path target, CopyOption... options)`
Copies all bytes from an input stream to a file.

## Uses of InputStream in java.nio.file.spi

Methods in java.nio.file.spi that return InputStream
Modifier and Type
Method
Description
`InputStream`
FileSystemProvider.`newInputStream(Path path, OpenOption... options)`
Opens a file, returning an input stream to read from the file.

## Uses of InputStream in java.security

Subclasses of InputStream in java.security
Modifier and Type
Class
Description
`class`
`DigestInputStream`
A transparent stream that updates the associated message digest using the bits going through the stream.
Methods in java.security with parameters of type InputStream
Modifier and Type
Method
Description
`void`
Certificate.`decode(InputStream stream)`
Deprecated, for removal: This API element is subject to removal in a future version.
Decodes a certificate from an input stream.
`abstract void`
KeyStoreSpi.`engineLoad(InputStream stream, char[] password)`
Loads the keystore from the given input stream.
`boolean`
KeyStoreSpi.`engineProbe(InputStream stream)`
Probes the specified input stream to determine whether it contains a keystore that is supported by this implementation, or not.
`final void`
KeyStore.`load(InputStream stream, char[] password)`
Loads this keystore from the given input stream.
`void`
Provider.`load(InputStream inStream)`
Reads a property list (key and element pairs) from the input stream.
Constructors in java.security with parameters of type InputStream
Modifier
Constructor
Description
``
`DigestInputStream(InputStream stream, MessageDigest digest)`
Creates a digest input stream, using the specified input stream and message digest.

## Uses of InputStream in java.security.cert

Methods in java.security.cert with parameters of type InputStream
Modifier and Type
Method
Description
`abstract Certificate`
CertificateFactorySpi.`engineGenerateCertificate(InputStream inStream)`
Generates a certificate object and initializes it with the data read from the input stream `inStream`.
`abstract Collection<? extends Certificate>`
CertificateFactorySpi.`engineGenerateCertificates(InputStream inStream)`
Returns a (possibly empty) collection view of the certificates read from the given input stream `inStream`.
`CertPath`
CertificateFactorySpi.`engineGenerateCertPath(InputStream inStream)`
Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`CertPath`
CertificateFactorySpi.`engineGenerateCertPath(InputStream inStream, String encoding)`
Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`abstract CRL`
CertificateFactorySpi.`engineGenerateCRL(InputStream inStream)`
Generates a certificate revocation list (CRL) object and initializes it with the data read from the input stream `inStream`.
`abstract Collection<? extends CRL>`
CertificateFactorySpi.`engineGenerateCRLs(InputStream inStream)`
Returns a (possibly empty) collection view of the CRLs read from the given input stream `inStream`.
`final Certificate`
CertificateFactory.`generateCertificate(InputStream inStream)`
Generates a certificate object and initializes it with the data read from the input stream `inStream`.
`final Collection<? extends Certificate>`
CertificateFactory.`generateCertificates(InputStream inStream)`
Returns a (possibly empty) collection view of the certificates read from the given input stream `inStream`.
`final CertPath`
CertificateFactory.`generateCertPath(InputStream inStream)`
Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`final CertPath`
CertificateFactory.`generateCertPath(InputStream inStream, String encoding)`
Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`final CRL`
CertificateFactory.`generateCRL(InputStream inStream)`
Generates a certificate revocation list (CRL) object and initializes it with the data read from the input stream `inStream`.
`final Collection<? extends CRL>`
CertificateFactory.`generateCRLs(InputStream inStream)`
Returns a (possibly empty) collection view of the CRLs read from the given input stream `inStream`.

## Uses of InputStream in java.sql

Methods in java.sql that return InputStream
Modifier and Type
Method
Description
`InputStream`
Clob.`getAsciiStream()`
Retrieves the `CLOB` value designated by this `Clob` object as an ascii stream.
`InputStream`
ResultSet.`getAsciiStream(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a stream of ASCII characters.
`InputStream`
ResultSet.`getAsciiStream(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a stream of ASCII characters.
`InputStream`
Blob.`getBinaryStream()`
Retrieves the `BLOB` value designated by this `Blob` instance as a stream.
`InputStream`
Blob.`getBinaryStream(long pos, long length)`
Returns an `InputStream` object that contains a partial `Blob` value, starting with the byte specified by pos, which is length bytes in length.
`InputStream`
ResultSet.`getBinaryStream(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a stream of uninterpreted bytes.
`InputStream`
ResultSet.`getBinaryStream(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a stream of uninterpreted `byte`s.
`InputStream`
SQLXML.`getBinaryStream()`
Retrieves the XML value designated by this SQLXML instance as a stream.
`InputStream`
ResultSet.`getUnicodeStream(int columnIndex)`
Deprecated.
use `getCharacterStream` in place of `getUnicodeStream`
`InputStream`
ResultSet.`getUnicodeStream(String columnLabel)`
Deprecated.
use `getCharacterStream` instead
`InputStream`
SQLInput.`readAsciiStream()`
Reads the next attribute in the stream and returns it as a stream of ASCII characters.
`InputStream`
SQLInput.`readBinaryStream()`
Reads the next attribute in the stream and returns it as a stream of uninterpreted bytes.
Methods in java.sql with parameters of type InputStream
Modifier and Type
Method
Description
`void`
CallableStatement.`setAsciiStream(String parameterName, InputStream x)`
Sets the designated parameter to the given input stream.
`void`
CallableStatement.`setAsciiStream(String parameterName, InputStream x, int length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
CallableStatement.`setAsciiStream(String parameterName, InputStream x, long length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
PreparedStatement.`setAsciiStream(int parameterIndex, InputStream x)`
Sets the designated parameter to the given input stream.
`void`
PreparedStatement.`setAsciiStream(int parameterIndex, InputStream x, int length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
PreparedStatement.`setAsciiStream(int parameterIndex, InputStream x, long length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
CallableStatement.`setBinaryStream(String parameterName, InputStream x)`
Sets the designated parameter to the given input stream.
`void`
CallableStatement.`setBinaryStream(String parameterName, InputStream x, int length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
CallableStatement.`setBinaryStream(String parameterName, InputStream x, long length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
PreparedStatement.`setBinaryStream(int parameterIndex, InputStream x)`
Sets the designated parameter to the given input stream.
`void`
PreparedStatement.`setBinaryStream(int parameterIndex, InputStream x, int length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
PreparedStatement.`setBinaryStream(int parameterIndex, InputStream x, long length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
CallableStatement.`setBlob(String parameterName, InputStream inputStream)`
Sets the designated parameter to an `InputStream` object.
`void`
CallableStatement.`setBlob(String parameterName, InputStream inputStream, long length)`
Sets the designated parameter to an `InputStream` object.
`void`
PreparedStatement.`setBlob(int parameterIndex, InputStream inputStream)`
Sets the designated parameter to a `InputStream` object.
`void`
PreparedStatement.`setBlob(int parameterIndex, InputStream inputStream, long length)`
Sets the designated parameter to a `InputStream` object.
`void`
PreparedStatement.`setUnicodeStream(int parameterIndex, InputStream x, int length)`
Deprecated.
Use `setCharacterStream`
`void`
ResultSet.`updateAsciiStream(int columnIndex, InputStream x)`
Updates the designated column with an ascii stream value.
`void`
ResultSet.`updateAsciiStream(int columnIndex, InputStream x, int length)`
Updates the designated column with an ascii stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateAsciiStream(int columnIndex, InputStream x, long length)`
Updates the designated column with an ascii stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateAsciiStream(String columnLabel, InputStream x)`
Updates the designated column with an ascii stream value.
`void`
ResultSet.`updateAsciiStream(String columnLabel, InputStream x, int length)`
Updates the designated column with an ascii stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateAsciiStream(String columnLabel, InputStream x, long length)`
Updates the designated column with an ascii stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateBinaryStream(int columnIndex, InputStream x)`
Updates the designated column with a binary stream value.
`void`
ResultSet.`updateBinaryStream(int columnIndex, InputStream x, int length)`
Updates the designated column with a binary stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateBinaryStream(int columnIndex, InputStream x, long length)`
Updates the designated column with a binary stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateBinaryStream(String columnLabel, InputStream x)`
Updates the designated column with a binary stream value.
`void`
ResultSet.`updateBinaryStream(String columnLabel, InputStream x, int length)`
Updates the designated column with a binary stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateBinaryStream(String columnLabel, InputStream x, long length)`
Updates the designated column with a binary stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateBlob(int columnIndex, InputStream inputStream)`
Updates the designated column using the given input stream.
`void`
ResultSet.`updateBlob(int columnIndex, InputStream inputStream, long length)`
Updates the designated column using the given input stream, which will have the specified number of bytes.
`void`
ResultSet.`updateBlob(String columnLabel, InputStream inputStream)`
Updates the designated column using the given input stream.
`void`
ResultSet.`updateBlob(String columnLabel, InputStream inputStream, long length)`
Updates the designated column using the given input stream, which will have the specified number of bytes.
`void`
SQLOutput.`writeAsciiStream(InputStream x)`
Writes the next attribute to the stream as a stream of ASCII characters.
`void`
SQLOutput.`writeBinaryStream(InputStream x)`
Writes the next attribute to the stream as a stream of uninterpreted bytes.

## Uses of InputStream in java.util

Methods in java.util that return InputStream
Modifier and Type
Method
Description
`InputStream`
Base64.Decoder.`wrap(InputStream is)`
Returns an input stream for decoding `Base64` encoded byte stream.
Methods in java.util with parameters of type InputStream
Modifier and Type
Method
Description
`void`
Properties.`load(InputStream inStream)`
Reads a property list (key and element pairs) from the input byte stream.
`void`
Properties.`loadFromXML(InputStream in)`
Loads all of the properties represented by the XML document on the specified input stream into this properties table.
`InputStream`
Base64.Decoder.`wrap(InputStream is)`
Returns an input stream for decoding `Base64` encoded byte stream.
Constructors in java.util with parameters of type InputStream
Modifier
Constructor
Description
``
`PropertyResourceBundle(InputStream stream)`
Creates a property resource bundle from an `InputStream`.
``
`Scanner(InputStream source)`
Constructs a new `Scanner` that produces values scanned from the specified input stream.
``
`Scanner(InputStream source, String charsetName)`
Constructs a new `Scanner` that produces values scanned from the specified input stream.
``
`Scanner(InputStream source, Charset charset)`
Constructs a new `Scanner` that produces values scanned from the specified input stream.

## Uses of InputStream in java.util.jar

Subclasses of InputStream in java.util.jar
Modifier and Type
Class
Description
`class`
`JarInputStream`
The `JarInputStream` class, which extends `ZipInputStream`, is used to read the contents of a JAR file from an input stream.
Methods in java.util.jar that return InputStream
Modifier and Type
Method
Description
`InputStream`
JarFile.`getInputStream(ZipEntry ze)`
Returns an input stream for reading the contents of the specified ZIP file entry.
Methods in java.util.jar with parameters of type InputStream
Modifier and Type
Method
Description
`void`
Manifest.`read(InputStream is)`
Reads the Manifest from the specified InputStream.
Constructors in java.util.jar with parameters of type InputStream
Modifier
Constructor
Description
``
`JarInputStream(InputStream in)`
Creates a new `JarInputStream` and reads the optional manifest.
``
`JarInputStream(InputStream in, boolean verify)`
Creates a new `JarInputStream` and reads the optional manifest.
``
`Manifest(InputStream is)`
Constructs a new Manifest from the specified input stream.

## Uses of InputStream in java.util.logging

Methods in java.util.logging with parameters of type InputStream
Modifier and Type
Method
Description
`void`
LogManager.`readConfiguration(InputStream ins)`
Reads and initializes the logging configuration from the given input stream.
`void`
LogManager.`updateConfiguration(InputStream ins, Function<String, BiFunction<String,String,String>> mapper)`
Updates the logging configuration.

## Uses of InputStream in java.util.prefs

Methods in java.util.prefs with parameters of type InputStream
Modifier and Type
Method
Description
`static void`
Preferences.`importPreferences(InputStream is)`
Imports all of the preferences represented by the XML document on the specified input stream.

## Uses of InputStream in java.util.zip

Subclasses of InputStream in java.util.zip
Modifier and Type
Class
Description
`class`
`CheckedInputStream`
An input stream that also maintains a checksum of the data being read.
`class`
`DeflaterInputStream`
Implements an input stream filter for compressing data in the "deflate" compression format.
`class`
`GZIPInputStream`
This class implements a stream filter for reading compressed data in the GZIP file format.
`class`
`InflaterInputStream`
This class implements a stream filter for uncompressing data in the "deflate" compression format.
`class`
`ZipInputStream`
An input stream for reading compressed and uncompressed ZIP file entries from a stream of bytes in the ZIP file format.
Methods in java.util.zip that return InputStream
Modifier and Type
Method
Description
`InputStream`
ZipFile.`getInputStream(ZipEntry entry)`
Returns an input stream for reading the contents of the specified ZIP file entry.
Constructors in java.util.zip with parameters of type InputStream
Modifier
Constructor
Description
``
`CheckedInputStream(InputStream in, Checksum cksum)`
Creates an input stream using the specified Checksum.
``
`DeflaterInputStream(InputStream in)`
Creates a new input stream with a default compressor and buffer size.
``
`DeflaterInputStream(InputStream in, Deflater defl)`
Creates a new input stream with the specified compressor and a default buffer size.
``
`DeflaterInputStream(InputStream in, Deflater defl, int bufLen)`
Creates a new input stream with the specified compressor and buffer size.
``
`GZIPInputStream(InputStream in)`
Creates a new input stream with a default buffer size.
``
`GZIPInputStream(InputStream in, int size)`
Creates a new input stream with the specified buffer size.
``
`InflaterInputStream(InputStream in)`
Creates a new input stream with a default decompressor and buffer size.
``
`InflaterInputStream(InputStream in, Inflater inf)`
Creates a new input stream with the specified decompressor and a default buffer size.
``
`InflaterInputStream(InputStream in, Inflater inf, int size)`
Creates a new input stream with the specified decompressor and buffer size.
``
`ZipInputStream(InputStream in)`
Creates a new ZIP input stream.
``
`ZipInputStream(InputStream in, Charset charset)`
Creates a new ZIP input stream.

## Uses of InputStream in javax.accessibility

Methods in javax.accessibility that return InputStream
Modifier and Type
Method
Description
`InputStream`
AccessibleStreamable.`getStream(DataFlavor flavor)`
Returns an `InputStream` for a `DataFlavor`.

## Uses of InputStream in javax.crypto

Subclasses of InputStream in javax.crypto
Modifier and Type
Class
Description
`class`
`CipherInputStream`
A `CipherInputStream` is composed of an `InputStream` and a `Cipher` object so that read() methods return data that are read in from the underlying `InputStream` but have been additionally processed by the `Cipher` object.
Constructors in javax.crypto with parameters of type InputStream
Modifier
Constructor
Description
`protected`
`CipherInputStream(InputStream is)`
Constructs a `CipherInputStream` from an `InputStream` without specifying a `Cipher` object.
``
`CipherInputStream(InputStream is, Cipher c)`
Constructs a `CipherInputStream` from an `InputStream` and a `Cipher` object.

## Uses of InputStream in javax.imageio

Methods in javax.imageio with parameters of type InputStream
Modifier and Type
Method
Description
`static BufferedImage`
ImageIO.`read(InputStream input)`
Returns a `BufferedImage` as the result of decoding a supplied `InputStream` with an `ImageReader` chosen automatically from among those currently registered.

## Uses of InputStream in javax.imageio.stream

Constructors in javax.imageio.stream with parameters of type InputStream
Modifier
Constructor
Description
``
`FileCacheImageInputStream(InputStream stream, File cacheDir)`
Constructs a `FileCacheImageInputStream` that will read from a given `InputStream`.
``
`MemoryCacheImageInputStream(InputStream stream)`
Constructs a `MemoryCacheImageInputStream` that will read from a given `InputStream`.

## Uses of InputStream in javax.net.ssl

Methods in javax.net.ssl with parameters of type InputStream
Modifier and Type
Method
Description
`Socket`
SSLSocketFactory.`createSocket(Socket s, InputStream consumed, boolean autoClose)`
Creates a server mode `Socket` layered over an existing connected socket, and is able to read data which has already been consumed/removed from the `Socket`'s underlying `InputStream`.

## Uses of InputStream in javax.print

Methods in javax.print that return InputStream
Modifier and Type
Method
Description
`InputStream`
Doc.`getStreamForBytes()`
Obtains an input stream for extracting byte print data from this doc.
`InputStream`
SimpleDoc.`getStreamForBytes()`
Obtains an input stream for extracting byte print data from this doc.

## Uses of InputStream in javax.security.auth.x500

Constructors in javax.security.auth.x500 with parameters of type InputStream
Modifier
Constructor
Description
``
`X500Principal(InputStream is)`
Creates an `X500Principal` from an `InputStream` containing the distinguished name in ASN.1 DER encoded form.

## Uses of InputStream in javax.security.cert

Methods in javax.security.cert with parameters of type InputStream
Modifier and Type
Method
Description
`static final X509Certificate`
X509Certificate.`getInstance(InputStream inStream)`
Deprecated, for removal: This API element is subject to removal in a future version.
Instantiates an X509Certificate object, and initializes it with the data read from the input stream `inStream`.

## Uses of InputStream in javax.sound.midi

Methods in javax.sound.midi with parameters of type InputStream
Modifier and Type
Method
Description
`static MidiFileFormat`
MidiSystem.`getMidiFileFormat(InputStream stream)`
Obtains the MIDI file format of the data in the specified input stream.
`static Sequence`
MidiSystem.`getSequence(InputStream stream)`
Obtains a MIDI sequence from the specified input stream.
`static Soundbank`
MidiSystem.`getSoundbank(InputStream stream)`
Constructs a MIDI sound bank by reading it from the specified stream.
`void`
Sequencer.`setSequence(InputStream stream)`
Sets the current sequence on which the sequencer operates.

## Uses of InputStream in javax.sound.midi.spi

Methods in javax.sound.midi.spi with parameters of type InputStream
Modifier and Type
Method
Description
`abstract MidiFileFormat`
MidiFileReader.`getMidiFileFormat(InputStream stream)`
Obtains the MIDI file format of the input stream provided.
`abstract Sequence`
MidiFileReader.`getSequence(InputStream stream)`
Obtains a MIDI sequence from the input stream provided.
`abstract Soundbank`
SoundbankReader.`getSoundbank(InputStream stream)`
Obtains a soundbank object from the `InputStream` provided.

## Uses of InputStream in javax.sound.sampled

Subclasses of InputStream in javax.sound.sampled
Modifier and Type
Class
Description
`class`
`AudioInputStream`
An audio input stream is an input stream with a specified audio format and length.
Methods in javax.sound.sampled with parameters of type InputStream
Modifier and Type
Method
Description
`static AudioFileFormat`
AudioSystem.`getAudioFileFormat(InputStream stream)`
Obtains the audio file format of the provided input stream.
`static AudioInputStream`
AudioSystem.`getAudioInputStream(InputStream stream)`
Obtains an audio input stream from the provided input stream.
Constructors in javax.sound.sampled with parameters of type InputStream
Modifier
Constructor
Description
``
`AudioInputStream(InputStream stream, AudioFormat format, long length)`
Constructs an audio input stream that has the requested format and length in sample frames, using audio data from the specified input stream.

## Uses of InputStream in javax.sound.sampled.spi

Methods in javax.sound.sampled.spi with parameters of type InputStream
Modifier and Type
Method
Description
`abstract AudioFileFormat`
AudioFileReader.`getAudioFileFormat(InputStream stream)`
Obtains the audio file format of the input stream provided.
`abstract AudioInputStream`
AudioFileReader.`getAudioInputStream(InputStream stream)`
Obtains an audio input stream from the input stream provided.

## Uses of InputStream in javax.sql

Methods in javax.sql with parameters of type InputStream
Modifier and Type
Method
Description
`void`
RowSet.`setAsciiStream(int parameterIndex, InputStream x)`
Sets the designated parameter in this `RowSet` object's command to the given input stream.
`void`
RowSet.`setAsciiStream(int parameterIndex, InputStream x, int length)`
Sets the designated parameter in this `RowSet` object's command to the given `java.io.InputStream` value.
`void`
RowSet.`setAsciiStream(String parameterName, InputStream x)`
Sets the designated parameter to the given input stream.
`void`
RowSet.`setAsciiStream(String parameterName, InputStream x, int length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
RowSet.`setBinaryStream(int parameterIndex, InputStream x)`
Sets the designated parameter in this `RowSet` object's command to the given input stream.
`void`
RowSet.`setBinaryStream(int parameterIndex, InputStream x, int length)`
Sets the designated parameter in this `RowSet` object's command to the given `java.io.InputStream` value.
`void`
RowSet.`setBinaryStream(String parameterName, InputStream x)`
Sets the designated parameter to the given input stream.
`void`
RowSet.`setBinaryStream(String parameterName, InputStream x, int length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
RowSet.`setBlob(int parameterIndex, InputStream inputStream)`
Sets the designated parameter to a `InputStream` object.
`void`
RowSet.`setBlob(int parameterIndex, InputStream inputStream, long length)`
Sets the designated parameter to a `InputStream` object.
`void`
RowSet.`setBlob(String parameterName, InputStream inputStream)`
Sets the designated parameter to a `InputStream` object.
`void`
RowSet.`setBlob(String parameterName, InputStream inputStream, long length)`
Sets the designated parameter to a `InputStream` object.

## Uses of InputStream in javax.sql.rowset

Fields in javax.sql.rowset declared as InputStream
Modifier and Type
Field
Description
`protected InputStream`
BaseRowSet.`asciiStream`
The `InputStream` object that will be returned by the method `getAsciiStream`, which is specified in the `ResultSet` interface.
`protected InputStream`
BaseRowSet.`binaryStream`
The `InputStream` object that will be returned by the method `getBinaryStream`, which is specified in the `ResultSet` interface.
`protected InputStream`
BaseRowSet.`unicodeStream`
The `InputStream` object that will be returned by the method `getUnicodeStream`, which is specified in the `ResultSet` interface.
Methods in javax.sql.rowset with parameters of type InputStream
Modifier and Type
Method
Description
`void`
WebRowSet.`readXml(InputStream iStream)`
Reads a stream based XML input to populate this `WebRowSet` object.
`void`
BaseRowSet.`setAsciiStream(int parameterIndex, InputStream x)`
Sets the designated parameter in this `RowSet` object's command to the given input stream.
`void`
BaseRowSet.`setAsciiStream(int parameterIndex, InputStream x, int length)`
Sets the designated parameter to the given `java.io.InputStream` object, which will have the specified number of bytes.
`void`
BaseRowSet.`setAsciiStream(String parameterName, InputStream x)`
Sets the designated parameter to the given input stream.
`void`
BaseRowSet.`setAsciiStream(String parameterName, InputStream x, int length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
BaseRowSet.`setBinaryStream(int parameterIndex, InputStream x)`
Sets the designated parameter in this `RowSet` object's command to the given input stream.
`void`
BaseRowSet.`setBinaryStream(int parameterIndex, InputStream x, int length)`
Sets the designated parameter to the given `java.io.InputStream` object, which will have the specified number of bytes.
`void`
BaseRowSet.`setBinaryStream(String parameterName, InputStream x)`
Sets the designated parameter to the given input stream.
`void`
BaseRowSet.`setBinaryStream(String parameterName, InputStream x, int length)`
Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void`
BaseRowSet.`setBlob(int parameterIndex, InputStream inputStream)`
Sets the designated parameter to a `InputStream` object.
`void`
BaseRowSet.`setBlob(int parameterIndex, InputStream inputStream, long length)`
Sets the designated parameter to a `InputStream` object.
`void`
BaseRowSet.`setBlob(String parameterName, InputStream inputStream)`
Sets the designated parameter to a `InputStream` object.
`void`
BaseRowSet.`setBlob(String parameterName, InputStream inputStream, long length)`
Sets the designated parameter to a `InputStream` object.
`void`
BaseRowSet.`setUnicodeStream(int parameterIndex, InputStream x, int length)`
Deprecated.
getCharacterStream should be used in its place

## Uses of InputStream in javax.sql.rowset.serial

Methods in javax.sql.rowset.serial that return InputStream
Modifier and Type
Method
Description
`InputStream`
SerialClob.`getAsciiStream()`
Retrieves the `CLOB` value designated by this `SerialClob` object as an ascii stream.
`InputStream`
SerialBlob.`getBinaryStream()`
Returns this `SerialBlob` object as an input stream.
`InputStream`
SerialBlob.`getBinaryStream(long pos, long length)`
Returns an `InputStream` object that contains a partial `Blob` value, starting with the byte specified by pos, which is length bytes in length.
`InputStream`
SQLInputImpl.`readAsciiStream()`
Returns the next attribute in this `SQLInputImpl` object as a stream of ASCII characters.
`InputStream`
SQLInputImpl.`readBinaryStream()`
Returns the next attribute in this `SQLInputImpl` object as a stream of uninterpreted bytes.
Methods in javax.sql.rowset.serial with parameters of type InputStream
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeAsciiStream(InputStream x)`
Writes a stream of ASCII characters to this `SQLOutputImpl` object.
`void`
SQLOutputImpl.`writeBinaryStream(InputStream x)`
Writes a stream of uninterpreted bytes to this `SQLOutputImpl` object.

## Uses of InputStream in javax.swing

Subclasses of InputStream in javax.swing
Modifier and Type
Class
Description
`class`
`ProgressMonitorInputStream`
Monitors the progress of reading from some InputStream.
Methods in javax.swing that return InputStream
Modifier and Type
Method
Description
`protected InputStream`
JEditorPane.`getStream(URL page)`
Fetches a stream for the given URL, which is about to be loaded by the `setPage` method.
Methods in javax.swing with parameters of type InputStream
Modifier and Type
Method
Description
`void`
JEditorPane.`read(InputStream in, Object desc)`
This method initializes from a stream.
Constructors in javax.swing with parameters of type InputStream
Modifier
Constructor
Description
``
`ProgressMonitorInputStream(Component parentComponent, Object message, InputStream in)`
Constructs an object to monitor the progress of an input stream.

## Uses of InputStream in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth with parameters of type InputStream
Modifier and Type
Method
Description
`void`
SynthLookAndFeel.`load(InputStream input, Class<?> resourceBase)`
Loads the set of `SynthStyle`s that will be used by this `SynthLookAndFeel`.

## Uses of InputStream in javax.swing.text

Methods in javax.swing.text with parameters of type InputStream
Modifier and Type
Method
Description
`void`
DefaultEditorKit.`read(InputStream in, Document doc, int pos)`
Inserts content from the given stream which is expected to be in a format appropriate for this kind of content handler.
`abstract void`
EditorKit.`read(InputStream in, Document doc, int pos)`
Inserts content from the given stream which is expected to be in a format appropriate for this kind of content handler.

## Uses of InputStream in javax.swing.text.rtf

Methods in javax.swing.text.rtf with parameters of type InputStream
Modifier and Type
Method
Description
`void`
RTFEditorKit.`read(InputStream in, Document doc, int pos)`
Insert content from the given stream which is expected to be in a format appropriate for this kind of content handler.

## Uses of InputStream in javax.tools

Methods in javax.tools that return InputStream
Modifier and Type
Method
Description
`InputStream`
FileObject.`openInputStream()`
Returns an InputStream for this file object.
`InputStream`
ForwardingFileObject.`openInputStream()`
`InputStream`
SimpleJavaFileObject.`openInputStream()`
Returns an InputStream for this file object.
Methods in javax.tools with parameters of type InputStream
Modifier and Type
Method
Description
`int`
Tool.`run(InputStream in, OutputStream out, OutputStream err, String... arguments)`
Run the tool with the given I/O channels and arguments.

## Uses of InputStream in javax.xml.catalog

Methods in javax.xml.catalog that return InputStream
Modifier and Type
Method
Description
`InputStream`
CatalogResolver.`resolveEntity(String publicId, String systemId, String baseUri, String namespace)`
Implements `XMLResolver`.

## Uses of InputStream in javax.xml.crypto

Methods in javax.xml.crypto that return InputStream
Modifier and Type
Method
Description
`InputStream`
OctetStreamData.`getOctetStream()`
Returns the input stream of this `OctetStreamData`.
Constructors in javax.xml.crypto with parameters of type InputStream
Modifier
Constructor
Description
``
`OctetStreamData(InputStream octetStream)`
Creates a new `OctetStreamData`.
``
`OctetStreamData(InputStream octetStream, String uri, String mimeType)`
Creates a new `OctetStreamData`.

## Uses of InputStream in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return InputStream
Modifier and Type
Method
Description
`InputStream`
SignedInfo.`getCanonicalizedData()`
Returns the canonicalized signed info bytes after a signing or validation operation.
`InputStream`
Reference.`getDigestInputStream()`
Returns the pre-digested input stream, if reference caching is enabled.

## Uses of InputStream in javax.xml.parsers

Methods in javax.xml.parsers with parameters of type InputStream
Modifier and Type
Method
Description
`Document`
DocumentBuilder.`parse(InputStream is)`
Parse the content of the given `InputStream` as an XML document and return a new DOM `Document` object.
`Document`
DocumentBuilder.`parse(InputStream is, String systemId)`
Parse the content of the given `InputStream` as an XML document and return a new DOM `Document` object.
`void`
SAXParser.`parse(InputStream is, HandlerBase hb)`
Parse the content of the given `InputStream` instance as XML using the specified `HandlerBase`.
`void`
SAXParser.`parse(InputStream is, HandlerBase hb, String systemId)`
Parse the content of the given `InputStream` instance as XML using the specified `HandlerBase`.
`void`
SAXParser.`parse(InputStream is, DefaultHandler dh)`
Parse the content of the given `InputStream` instance as XML using the specified `DefaultHandler`.
`void`
SAXParser.`parse(InputStream is, DefaultHandler dh, String systemId)`
Parse the content of the given `InputStream` instance as XML using the specified `DefaultHandler`.

## Uses of InputStream in javax.xml.stream

Methods in javax.xml.stream with parameters of type InputStream
Modifier and Type
Method
Description
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader(InputStream stream)`
Create a new XMLEventReader from a java.io.InputStream
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader(InputStream stream, String encoding)`
Create a new XMLEventReader from a java.io.InputStream
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader(String systemId, InputStream stream)`
Create a new XMLEventReader from a java.io.InputStream
`abstract XMLStreamReader`
XMLInputFactory.`createXMLStreamReader(InputStream stream)`
Create a new XMLStreamReader from a java.io.InputStream.
`abstract XMLStreamReader`
XMLInputFactory.`createXMLStreamReader(InputStream stream, String encoding)`
Create a new XMLStreamReader from a java.io.InputStream.
`abstract XMLStreamReader`
XMLInputFactory.`createXMLStreamReader(String systemId, InputStream stream)`
Create a new XMLStreamReader from a java.io.InputStream.

## Uses of InputStream in javax.xml.transform.stream

Methods in javax.xml.transform.stream that return InputStream
Modifier and Type
Method
Description
`InputStream`
StreamSource.`getInputStream()`
Get the byte stream that was set with setByteStream.
Methods in javax.xml.transform.stream with parameters of type InputStream
Modifier and Type
Method
Description
`void`
StreamSource.`setInputStream(InputStream inputStream)`
Set the byte stream to be used as input.
Constructors in javax.xml.transform.stream with parameters of type InputStream
Modifier
Constructor
Description
``
`StreamSource(InputStream inputStream)`
Construct a StreamSource from a byte stream.
``
`StreamSource(InputStream inputStream, String systemId)`
Construct a StreamSource from a byte stream.

## Uses of InputStream in jdk.jfr

Methods in jdk.jfr that return InputStream
Modifier and Type
Method
Description
`InputStream`
Recording.`getStream(Instant start, Instant end)`
Creates a data stream for a specified interval.

## Uses of InputStream in jdk.jshell

Methods in jdk.jshell with parameters of type InputStream
Modifier and Type
Method
Description
`JShell.Builder`
JShell.Builder.`in(InputStream in)`
Sets the input for the running evaluation (it's `System.in`).

## Uses of InputStream in jdk.jshell.execution

Methods in jdk.jshell.execution with parameters of type InputStream
Modifier and Type
Method
Description
`static void`
Util.`forwardExecutionControlAndIO(ExecutionControl ec, InputStream inStream, OutputStream outStream, Map<String, Consumer<OutputStream>> outputStreamMap, Map<String, Consumer<InputStream>> inputStreamMap)`
Forward commands from the input to the specified `ExecutionControl` instance, then responses back on the output.
`static ExecutionControl`
Util.`remoteInputOutput(InputStream input, OutputStream output, Map<String, OutputStream> outputStreamMap, Map<String, InputStream> inputStreamMap, BiFunction<ObjectInput, ObjectOutput, ExecutionControl> factory)`
Creates an ExecutionControl for given packetized input and output.

## Uses of InputStream in jdk.jshell.spi

Methods in jdk.jshell.spi that return InputStream
Modifier and Type
Method
Description
`InputStream`
ExecutionEnv.`userIn()`
Returns the user's input stream.

## Uses of InputStream in jdk.jshell.tool

Methods in jdk.jshell.tool with parameters of type InputStream
Modifier and Type
Method
Description
`JavaShellToolBuilder`
JavaShellToolBuilder.`in(InputStream cmdIn, InputStream userIn)`
Set the input channels.

## Uses of InputStream in org.ietf.jgss

Methods in org.ietf.jgss with parameters of type InputStream
Modifier and Type
Method
Description
`void`
GSSContext.`acceptSecContext(InputStream inStream, OutputStream outStream)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`void`
GSSContext.`getMIC(InputStream inStream, OutputStream outStream, MessageProp msgProp)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`int`
GSSContext.`initSecContext(InputStream inStream, OutputStream outStream)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`void`
GSSContext.`unwrap(InputStream inStream, OutputStream outStream, MessageProp msgProp)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`void`
GSSContext.`verifyMIC(InputStream tokStream, InputStream msgStream, MessageProp msgProp)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`void`
GSSContext.`wrap(InputStream inStream, OutputStream outStream, MessageProp msgProp)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
Constructors in org.ietf.jgss with parameters of type InputStream
Modifier
Constructor
Description
``
`Oid(InputStream derOid)`
Creates an Oid object from its ASN.1 DER encoding.

## Uses of InputStream in org.w3c.dom.ls

Methods in org.w3c.dom.ls that return InputStream
Modifier and Type
Method
Description
`InputStream`
LSInput.`getByteStream()`
An attribute of a language and binding dependent type that represents a stream of bytes.
Methods in org.w3c.dom.ls with parameters of type InputStream
Modifier and Type
Method
Description
`void`
LSInput.`setByteStream(InputStream byteStream)`
An attribute of a language and binding dependent type that represents a stream of bytes.

## Uses of InputStream in org.xml.sax

Methods in org.xml.sax that return InputStream
Modifier and Type
Method
Description
`InputStream`
InputSource.`getByteStream()`
Get the byte stream for this input source.
Methods in org.xml.sax with parameters of type InputStream
Modifier and Type
Method
Description
`void`
InputSource.`setByteStream(InputStream byteStream)`
Set the byte stream for this input source.
Constructors in org.xml.sax with parameters of type InputStream
Modifier
Constructor
Description
``
`InputSource(InputStream byteStream)`
Create a new input source with a byte stream.